<!doctype html>
<html>
  <head>
    <title>math-equation demo</title>

    <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1, user-scalable=yes">
    <meta name="mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-capable" content="yes">

    <script>window.Polymer = window.Polymer || {};window.Polymer.dom = 'shadow';</script>
    <script src="/extern/bower_components/webcomponentsjs/webcomponents-lite.js"></script>

    <link rel="import" href="../math-equation.html">
    <link rel="import" href="/extern/bower_components/paper-input/paper-input.html">
  </head>
  <body unresolved>
    <template is="dom-bind" id="input">
      <paper-input value="{{input1}}"></paper-input>
      <p>
        This is the first fancy equation: <math-equation>{{input1}}</math-equation>
      </p>

      <paper-input value="{{input2}}"></paper-input>
      <p>
        This is the second fancy equation: <math-equation big>{{input2}}</math-equation>
      </p>

      <paper-input value="{{input3}}"></paper-input>
      <p>
        This is the third fancy equation: <math-equation big inline>{{input3}}</math-equation>
      </p>
    </template>

    <script>
      document.getElementById("input").input1 = "\\frac{n!}{k!(n-k)!} = \\binom{n}{k}";
      document.getElementById("input").input2 = "A_{m,n} = \\begin{pmatrix}  a_{1,1} & a_{1,2} & \\cdots & a_{1,n} \\\\  a_{2,1} & a_{2,2} & \\cdots & a_{2,n} \\\\  \\vdots  & \\vdots  & \\ddots & \\vdots  \\\\  a_{m,1} & a_{m,2} & \\cdots & a_{m,n} \\end{pmatrix}";
      document.getElementById("input").input3 = "x_j = \\frac{1}{N}\\sum_{k=0}^{N-1}X_k\\,e^{2\\pi i j k/N}";
    </script>

    <math-equation big>F(s) \equiv \int^{\infty}_{-\infty}f(x)\,e^{-2\pi i s x}\,dx~</math-equation>
    <math-equation big>e^{i\phi} = \cos\phi + i\sin\phi</math-equation>
    <math-equation big>\text{speed improvement}\,(N=10^3) \propto \frac{N^2}{N\log_2(N)} = \frac{N}{\log_2(N)} \sim \frac{10^3}{10} \sim 100</math-equation>
    <math-equation big>f\star f \Leftrightarrow \overline{F}\cdot F = \left|F\right|^2</math-equation>
  </body>
</html>
